Package org.jboss.resteasy.core.providerfactory

## Class ClientHelper

- java.lang.Object
- - org.jboss.resteasy.core.providerfactory.CommonProviders
  - - org.jboss.resteasy.core.providerfactory.ClientHelper

- Direct Known Subclasses:
    `NOOPClientHelper`

      public class ClientHelper
      extends CommonProviders

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<Class<?>,​AsyncClientResponseProvider>` | `asyncClientResponseProviders` |
    `protected boolean` | `attachedAsyncClientResponseProviders` |
    `protected boolean` | `attachedReactive` |
    `protected boolean` | `attachedRequestFilters` |
    `protected boolean` | `attachedResponseFilters` |
    `protected Map<Class<?>,​Class<? extends javax.ws.rs.client.RxInvokerProvider<?>>>` | `reactiveClasses` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>` | `requestFilters` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter>` | `responseFilters` |

    - ### Fields inherited from class org.jboss.resteasy.core.providerfactory.CommonProviders

      `attachedFeatures, attachedMessageBodyReaders, attachedMessageBodyWriters, attachedReaderInterceptors, attachedWriterInterceptors, dynamicFeatures, lockSnapshots, messageBodyReaders, messageBodyWriters, readerInterceptorRegistry, rpf, writerInterceptorRegistry`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientHelper()` |
    `ClientHelper​(ResteasyProviderFactoryImpl rpf)` |
    `ClientHelper​(ResteasyProviderFactoryImpl rpf, ClientHelper parent)` | Shallow copy

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAsyncClientResponseProvider​(Class provider)` |
    `void` | `addClientRequestFilter​(Class provider, int priority)` |
    `void` | `addClientResponseFilter​(Class provider, int priority)` |
    `void` | `addReactiveClass​(Class provider)` |
    `void` | `addReactiveClass​(Class provider, Class<?> clazz)` |
    `Map<Class<?>,​AsyncClientResponseProvider>` | `getAsyncClientResponseProviders()` |
    `protected Map<Class<?>,​AsyncClientResponseProvider>` | `getAsyncClientResponseProvidersForWrite()` |
    `Map<Class<?>,​Class<? extends javax.ws.rs.client.RxInvokerProvider<?>>>` | `getReactiveClasses()` |
    `protected Map<Class<?>,​Class<? extends javax.ws.rs.client.RxInvokerProvider<?>>>` | `getReactiveClassesForWrite()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>` | `getRequestFilters()` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter>` | `getRequestFiltersForWrite()` |
    `JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter>` | `getResponseFilters()` |
    `protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter>` | `getResponseFiltersForWrite()` |
    `protected javax.ws.rs.client.RxInvokerProvider<?>` | `getRxInvokerProviderFromReactiveClass​(Class<?> clazz)` |
    `protected void` | `initializeClientProviders​(ResteasyProviderFactory factory)` |
    `protected boolean` | `isReactive​(Class<?> clazz)` |
    `protected void` | `processProviderContracts​(Class provider, Integer priorityOverride, boolean isBuiltin, Map<Class<?>,​Integer> contracts, Map<Class<?>,​Integer> newContracts)` |
    `protected void` | `processProviderInstanceContracts​(Object provider, Map<Class<?>,​Integer> contracts, Integer priorityOverride, boolean builtIn, Map<Class<?>,​Integer> newContracts)` |

    - ### Methods inherited from class org.jboss.resteasy.core.providerfactory.CommonProviders

      `addCompositeWildcardMBR, addCompositeWildcardMBW, addDynamicFeature, addMessageBodyReader, addMessageBodyWriter, addReaderInterceptor, addRegularMBR, addRegularMBW, addSubtypeWildMBR, addSubtypeWildMBW, addWildcardCompositeMBR, addWildcardCompositeMBW, addWildcardMBR, addWildcardMBW, addWriterInterceptor, getDynamicFeatures, getDynamicFeaturesForWrite, getMessageBodyReaders, getMessageBodyReadersForWrite, getMessageBodyWriters, getMessageBodyWritersForWrite, getReaderInterceptorRegistry, getReaderInterceptorRegistryForWrite, getWriterInterceptorRegistry, getWriterInterceptorRegistryForWrite, lockSnapshots`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attachedRequestFilters

          protected boolean attachedRequestFilters

    - #### requestFilters

          protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter> requestFilters

    - #### attachedResponseFilters

          protected boolean attachedResponseFilters

    - #### responseFilters

          protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter> responseFilters

    - #### attachedAsyncClientResponseProviders

          protected boolean attachedAsyncClientResponseProviders

    - #### asyncClientResponseProviders

          protected Map<Class<?>,​AsyncClientResponseProvider> asyncClientResponseProviders

    - #### attachedReactive

          protected boolean attachedReactive

    - #### reactiveClasses

          protected Map<Class<?>,​Class<? extends javax.ws.rs.client.RxInvokerProvider<?>>> reactiveClasses

  - ### Constructor Detail

    - #### ClientHelper

          public ClientHelper()

    - #### ClientHelper

          public ClientHelper​(ResteasyProviderFactoryImpl rpf)

    - #### ClientHelper

          public ClientHelper​(ResteasyProviderFactoryImpl rpf,
                              ClientHelper parent)

      Shallow copy
      Parameters:
        `rpf` -
        `parent` -

  - ### Method Detail

    - #### initializeClientProviders

          protected void initializeClientProviders​(ResteasyProviderFactory factory)

    - #### getRxInvokerProviderFromReactiveClass

          protected javax.ws.rs.client.RxInvokerProvider<?> getRxInvokerProviderFromReactiveClass​(Class<?> clazz)

    - #### isReactive

          protected boolean isReactive​(Class<?> clazz)

    - #### processProviderContracts

          protected void processProviderContracts​(Class provider,
                                                  Integer priorityOverride,
                                                  boolean isBuiltin,
                                                  Map<Class<?>,​Integer> contracts,
                                                  Map<Class<?>,​Integer> newContracts)

      Overrides:
        `processProviderContracts` in class `CommonProviders`

    - #### addReactiveClass

          public void addReactiveClass​(Class provider)

    - #### addReactiveClass

          public void addReactiveClass​(Class provider,
                                       Class<?> clazz)

    - #### addAsyncClientResponseProvider

          public void addAsyncClientResponseProvider​(Class provider)

    - #### addClientResponseFilter

          public void addClientResponseFilter​(Class provider,
                                              int priority)

    - #### addClientRequestFilter

          public void addClientRequestFilter​(Class provider,
                                             int priority)

    - #### processProviderInstanceContracts

          protected void processProviderInstanceContracts​(Object provider,
                                                          Map<Class<?>,​Integer> contracts,
                                                          Integer priorityOverride,
                                                          boolean builtIn,
                                                          Map<Class<?>,​Integer> newContracts)

      Overrides:
        `processProviderInstanceContracts` in class `CommonProviders`

    - #### getRequestFiltersForWrite

          protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter> getRequestFiltersForWrite()

    - #### getResponseFiltersForWrite

          protected JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter> getResponseFiltersForWrite()

    - #### getAsyncClientResponseProvidersForWrite

          protected Map<Class<?>,​AsyncClientResponseProvider> getAsyncClientResponseProvidersForWrite()

    - #### getReactiveClassesForWrite

          protected Map<Class<?>,​Class<? extends javax.ws.rs.client.RxInvokerProvider<?>>> getReactiveClassesForWrite()

    - #### getRequestFilters

          public JaxrsInterceptorRegistry<javax.ws.rs.client.ClientRequestFilter> getRequestFilters()

    - #### getResponseFilters

          public JaxrsInterceptorRegistry<javax.ws.rs.client.ClientResponseFilter> getResponseFilters()

    - #### getAsyncClientResponseProviders

          public Map<Class<?>,​AsyncClientResponseProvider> getAsyncClientResponseProviders()

    - #### getReactiveClasses

          public Map<Class<?>,​Class<? extends javax.ws.rs.client.RxInvokerProvider<?>>> getReactiveClasses()